/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Information related to the appliance
 */
@ApiModel(description = "Information related to the appliance")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model137 {
  @SerializedName("appliance_description")
  private String applianceDescription = null;

  @SerializedName("brand")
  private String brand = null;

  @SerializedName("model")
  private String model = null;

  @SerializedName("purchase_date")
  private LocalDate purchaseDate = null;

  @SerializedName("cost")
  private Model136 cost = null;

  public Model137 applianceDescription(String applianceDescription) {
    this.applianceDescription = applianceDescription;
    return this;
  }

   /**
   * Description of the appliance to cover by the certificate
   * @return applianceDescription
  **/
  @ApiModelProperty(example = "Home appliance", required = true, value = "Description of the appliance to cover by the certificate")
  public String getApplianceDescription() {
    return applianceDescription;
  }

  public void setApplianceDescription(String applianceDescription) {
    this.applianceDescription = applianceDescription;
  }

  public Model137 brand(String brand) {
    this.brand = brand;
    return this;
  }

   /**
   * Brand of the appliance to cover by the certificate
   * @return brand
  **/
  @ApiModelProperty(example = "SAMSUNG", value = "Brand of the appliance to cover by the certificate")
  public String getBrand() {
    return brand;
  }

  public void setBrand(String brand) {
    this.brand = brand;
  }

  public Model137 model(String model) {
    this.model = model;
    return this;
  }

   /**
   * Model of the appliance to cover by the certificate
   * @return model
  **/
  @ApiModelProperty(example = "WW8500", value = "Model of the appliance to cover by the certificate")
  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public Model137 purchaseDate(LocalDate purchaseDate) {
    this.purchaseDate = purchaseDate;
    return this;
  }

   /**
   * Date when the appliance had been purchased - ISO 8601 format (YYYY-MM-DD)
   * @return purchaseDate
  **/
  @ApiModelProperty(example = "2017-05-01", value = "Date when the appliance had been purchased - ISO 8601 format (YYYY-MM-DD)")
  public LocalDate getPurchaseDate() {
    return purchaseDate;
  }

  public void setPurchaseDate(LocalDate purchaseDate) {
    this.purchaseDate = purchaseDate;
  }

  public Model137 cost(Model136 cost) {
    this.cost = cost;
    return this;
  }

   /**
   * Get cost
   * @return cost
  **/
  @ApiModelProperty(value = "")
  public Model136 getCost() {
    return cost;
  }

  public void setCost(Model136 cost) {
    this.cost = cost;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model137 model137 = (Model137) o;
    return Objects.equals(this.applianceDescription, model137.applianceDescription) &&
        Objects.equals(this.brand, model137.brand) &&
        Objects.equals(this.model, model137.model) &&
        Objects.equals(this.purchaseDate, model137.purchaseDate) &&
        Objects.equals(this.cost, model137.cost);
  }

  @Override
  public int hashCode() {
    return Objects.hash(applianceDescription, brand, model, purchaseDate, cost);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model137 {\n");
    
    sb.append("    applianceDescription: ").append(toIndentedString(applianceDescription)).append("\n");
    sb.append("    brand: ").append(toIndentedString(brand)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    purchaseDate: ").append(toIndentedString(purchaseDate)).append("\n");
    sb.append("    cost: ").append(toIndentedString(cost)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

